pangomm 2.34.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Pango::AttrShape Class Reference

A Pango::AttrShape structure is used to represent an attribute which imposes shape restrictions. More...

Inheritance diagram for Pango::AttrShape:
[legend]
Collaboration diagram for Pango::AttrShape:
[legend]

## Public Member Functions
| AttrShape (const AttrShape& src)
| AttrShape (PangoAttrShape* castitem, bool take_copy=true)
AttrShape& | operator= (const AttrShape& src)
Rectangle | get_ink_rect () const
| Gets the ink rectangle to restrict to. More...
Rectangle | get_logical_rect () const
| Gets the logical rectangle to restrict to. More...
void | set_ink_rect (const Rectangle& value)
| Sets the ink rectangle to restrict to. More...
void | set_logical_rect (const Rectangle& value)
| Sets the logical rectangle to restrict to. More...
PangoAttrShape* | gobj ()
| Provides access to the underlying C GObject. More...
const PangoAttrShape* | gobj () const
| Provides access to the underlying C GObject. More...
Public Member Functions inherited from Pango::Attribute
| Attribute ()
| Constructs an invalid attribute. More...
| Attribute (const Attribute& src)
| Attribute (PangoAttribute* castitem, bool take_copy=true)
| ~Attribute ()
Attribute& | operator= (const Attribute& src)
AttrType | get_type () const
| Gets the type ID for this attribute. More...
unsigned int | get_start_index () const
| Gets the start index of the range. More...
unsigned int | get_end_index () const
| Gets the end index of the range. More...
void | set_start_index (const unsigned int& value)
| Sets the start index of the range. More...
void | set_end_index (const unsigned int& value)
| Sets the end index of the range. More...
bool | equal (const Attribute& attr2) const
| Compare two attributes for equality. More...
PangoAttribute* | gobj ()
| Provides access to the underlying C GObject. More...
const PangoAttribute* | gobj () const
| Provides access to the underlying C GObject. More...

## Protected Member Functions
| AttrShape ()

## Related Functions
(Note that these are not member functions.)
Pango::AttrShape | wrap (PangoAttrShape* object, bool take_copy=false)
Related Functions inherited from Pango::Attribute
bool | operator== (const Attribute& lhs, const Attribute& rhs)
bool | operator!= (const Attribute& lhs, const Attribute& rhs)
Pango::Attribute | wrap (PangoAttribute* object, bool take_copy=false)

## Additional Inherited Members
Static Public Member Functions inherited from Pango::Attribute
static AttrType | register_type (const Glib::ustring& name)
| Allocate a new attribute type ID. More...
static AttrString | create_attr_family (const Glib::ustring& family)
| Create a new font family attribute. More...
static AttrLanguage | create_attr_language (const Language& language)
| Create a new language tag attribute. More...
static AttrColor | create_attr_foreground (guint16 red, guint16 green, guint16 blue)
| Create a new foreground color attribute. More...
static AttrColor | create_attr_background (guint16 red, guint16 green, guint16 blue)
| Create a new background color attribute. More...
static AttrInt | create_attr_size (int size)
| Create a new font-size attribute. More...
static AttrInt | create_attr_style (Style style)
| Create a new font slant style attribute. More...
static AttrInt | create_attr_weight (Weight weight)
| Create a new font weight attribute. More...
static AttrInt | create_attr_variant (Variant variant)
| Create a new font variant attribute (normal or small caps). More...
static AttrInt | create_attr_stretch (Stretch stretch)
| Create a new font stretch attribute. More...
static AttrFontDesc | create_attr_font_desc (const FontDescription& desc)
| Create a new font description attribute. More...
static AttrInt | create_attr_underline (Underline underline)
| Create a new underline-style object. More...
static AttrInt | create_attr_strikethrough (bool strikethrough)
| Create a new font strike-through attribute. More...
static AttrInt | create_attr_rise (int rise)
| Create a new baseline displacement attribute. More...
static AttrFloat | create_attr_scale (double scale_factor)
| Create a new font size scale attribute. More...
static AttrShape | create_attr_shape (const Rectangle& ink_rect, const Rectangle& logical_rect)
| Create a new shape attribute. More...
Protected Attributes inherited from Pango::Attribute
PangoAttribute* | gobject_

## Detailed Description

A Pango::AttrShape structure is used to represent an attribute which imposes shape restrictions.

## Constructor & Destructor Documentation

Pango::AttrShape::AttrShape | ( |  | ) |
| protected

Pango::AttrShape::AttrShape | ( | const AttrShape& | src | ) |

Pango::AttrShape::AttrShape | ( | PangoAttrShape * | castitem,
|  | bool | take_copy = `true`
| ) |  |
| explicit

## Member Function Documentation

Rectangle Pango::AttrShape::get_ink_rect | ( |  | ) | const

Gets the ink rectangle to restrict to.

Returns
  The ink rectangle of the attribute.

Rectangle Pango::AttrShape::get_logical_rect | ( |  | ) | const

Gets the logical rectangle to restrict to.

Returns
  The logical rectangle of the attribute.

PangoAttrShape* Pango::AttrShape::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const PangoAttrShape* Pango::AttrShape::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

AttrShape& Pango::AttrShape::operator= | ( | const AttrShape& | src | ) |

void Pango::AttrShape::set_ink_rect | ( | const Rectangle& | value | ) |

Sets the ink rectangle to restrict to.

Parameters

  value | The new ink rectangle for the attribute.

void Pango::AttrShape::set_logical_rect | ( | const Rectangle& | value | ) |

Sets the logical rectangle to restrict to.

Parameters

  value | The new logical rectangle for the attribute.

## Friends And Related Function Documentation

Pango::AttrShape wrap | ( | PangoAttrShape * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

The documentation for this class was generated from the following file:

- pangomm/attributes.h